Package com.emc.d2fs.interfaces

# Interface ISubscriptionsService

All Superinterfaces:
  `ID2fsService`

public interface ISubscriptionsService extends ID2fsService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `subscribe(Context context, String configName)`
  Subscribe using user session
  `boolean`
  `subscribe(Context context, String id, String configName)`
  Subscribe using document id
  `boolean`
  `unsubscribeAll(Context context)`
  Unsubscribe from all using user session
  `boolean`
  `unsubscribeAll(Context context, String id)`
  Unsubscribe from all using document id

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### subscribe

    boolean subscribe(Context context, String configName) throws Exception
    Subscribe using user session
    Parameters:
      `context` -
      `configName` - string value of subscription configuration name
    Returns:
      true if the subscribe succeed
    Throws:
      `Exception`
    Since:
      16.6.0

  - ### subscribe

    boolean subscribe(Context context, String id, String configName) throws Exception
    Subscribe using document id
    Parameters:
      `context` -
      `configName` - string value of subscription configuration name
    Returns:
      true if the subscribe succeed
    Throws:
      `Exception`
    Since:
      16.6.0

  - ### unsubscribeAll

    boolean unsubscribeAll(Context context) throws Exception
    Unsubscribe from all using user session
    Parameters:
      `context` -
      `configName` - string value of subscription configuration name
    Returns:
      true if the unsubscribe succeed
    Throws:
      `Exception`
    Since:
      16.6.0

  - ### unsubscribeAll

    boolean unsubscribeAll(Context context, String id) throws Exception
    Unsubscribe from all using document id
    Parameters:
      `context` -
      `id` - string value of document id
    Returns:
      true if the unsubscribe succeed
    Throws:
      `Exception`
    Since:
      16.6.0